<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Referer Panel
| Version: 2.5
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

function inf_referer_spam($text) {
	global $ref_spam_words;
	if ($ref_spam_words != "" ) {
		$word_list = explode("\r\n", $ref_spam_words);
		for ($i=0;$i < count($word_list);$i++) {
			if ($word_list[$i] != "") {
				#if (eregi($word_list[$i],$text)) { return true; }
				# preg_match()
				$word_list[$i] = preg_quote($word_list[$i], '~');
				if (preg_match("~$word_list[$i]~si", $text)){ return true; }
			}
		}
	}
	return false;
}

function inf_referer_cleanurl($url) {
	$bad_entities = array("&", "\"", "'", '\"', "\'", "<", ">", "(", ")", "*");
	$safe_entities = array("&amp;", "", "", "", "", "", "", "", "", "");
	$url = str_replace($bad_entities, $safe_entities, $url);
	return $url;
}

function inf_referer_version() {
  $url = "http://basti2web.de/version/phpfusion_referer_panel.txt";
  $url_p = @parse_url($url);
  $host = $url_p['host'];
  $port = isset($url_p['port']) ? $url_p['port'] : 80;

  $fp = @fsockopen($url_p['host'], $port, $errno, $errstr, 5);
  if(!$fp) return false;

  @fputs($fp, 'GET '.$url_p['path'].' HTTP/1.1'.chr(10));
  @fputs($fp, 'HOST: '.$url_p['host'].chr(10));
  @fputs($fp, 'Connection: close'.chr(10).chr(10));

  $response = @fgets($fp, 1024);
  $content = @fread($fp,1024);
  $content = preg_replace("#(.*?)text/plain(.*?)$#is","$2",$content);
  @fclose ($fp);

  if(preg_match("#404#",$response)) return false;
  else return trim($content);
}

?>