<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Referer Panel
| Version: 2.5
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

require INFUSIONS."referer_panel/settings.php";
require_once INFUSIONS."referer_panel/functions.php";

if (file_exists(INFUSIONS."referer_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."referer_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."referer_panel/locale/English.php";
}
opentable($locale['REF_114']);

echo $locale['REF_140']."<br /><br />";
$sql = dbquery("SELECT TRIM('http://' FROM ref_referer) as ref, ref_referer,
	COUNT(ref_referer) as hits
	FROM ".DB_REF_REFERER." WHERE ref_referer <> '' GROUP BY ref ORDER BY hits DESC, ref_time DESC LIMIT ".$ref_num."");
if(dbrows($sql) != 0) {
	while($data = dbarray($sql)) {
		echo "<img src='".THEME."images/bullet.gif' alt=''> ".$data['hits']."x <a href='".$data['ref_referer']."' target='_blank'>".trimlink($data['ref'],60)."</a>";
		echo "<br />";
	}
}
if($show_all_ref == 1) { echo "<br /><a href='all_referer.php'>".$locale['REF_141']."</a>"; } else { echo "<br />"; }

echo "<br /><span class='small'>Code by <a href='http://basti2web.de' target='_blank' title='http://basti2web.de'>http://basti2web.de</a></span>";
// Please, respect my work and keep the copyright notice!
// Remember: I wrote this script for free and share it with you!
// The only thing I want from you, is to keep this little notice.

closetable();

require_once THEMES."templates/footer.php";
?>