<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (c) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Referer Panel
| Version: 2.51
| Author: Sebastian Schüssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("IP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require INFUSIONS."referer_panel/settings.php";
require_once INFUSIONS."referer_panel/functions.php";

if (file_exists(INFUSIONS."referer_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."referer_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."referer_panel/locale/English.php";
}

//////////////////////////////
if(isset($_GET['update']) && $_GET['update'] == "2.2") {

$query_delete_old = dbquery("DROP TABLE ".DB_REF_SETTINGS);

$query_create_table = dbquery("CREATE TABLE ".DB_REF_SETTINGS." (
ref_ver VARCHAR(100) DEFAULT '' NOT NULL,
ref_type TINYINT(1) NOT NULL,
ref_max SMALLINT(2) NOT NULL,
ref_last SMALLINT(2) NOT NULL,
ref_top SMALLINT(2) NOT NULL,
ref_all SMALLINT(2) NOT NULL,
ref_link SMALLINT(2) NOT NULL,
ref_see VARCHAR(100) DEFAULT '' NOT NULL
) TYPE=MyISAM;");

$query_insert_table = dbquery("INSERT INTO ".DB_REF_SETTINGS." (ref_ver, ref_type, ref_max, ref_last, ref_top, ref_all, ref_link, ref_see) VALUES ('".$_GET['update']."', '1', '5', '5', '100', '1', '0', '0')");

if($query_delete_old && $query_create_table && $query_insert_table) {
redirect(FUSION_SELF.$aidlink."&updone=2.2");
} else {
redirect(FUSION_SELF.$aidlink."&updone=0");
}
} elseif(isset($_GET['update']) && $_GET['update'] == "2.3") {

$query_update = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_ver='2.3'");
$query_update2 = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='2.3' WHERE inf_folder='referer_panel'");

if($query_update && $query_update2) {
redirect(FUSION_SELF.$aidlink."&updone=2.3");
} else {
redirect(FUSION_SELF.$aidlink."&updone=0");
}
} elseif(isset($_GET['update']) && $_GET['update'] == "2.4") {

$query_update = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_ver='2.4'");
$query_update2 = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='2.4' WHERE inf_folder='referer_panel'");
$query_update3 = dbquery("ALTER TABLE ".DB_REF_SETTINGS." ADD ref_spam_words TEXT NOT NULL");

if($query_update && $query_update2 && $query_update3) {
redirect(FUSION_SELF.$aidlink."&updone=2.4");
} else {
redirect(FUSION_SELF.$aidlink."&updone=0");
}
} elseif(isset($_GET['update']) && $_GET['update'] == "2.5") {

$query_update = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_ver='2.5'");
$query_update2 = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='2.5' WHERE inf_folder='referer_panel'");

if($query_update && $query_update2) {
redirect(FUSION_SELF.$aidlink."&updone=2.5");
} else {
redirect(FUSION_SELF.$aidlink."&updone=0");
} 
} elseif(isset($_GET['update']) && $_GET['update'] == "2.51") {

$query_update = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_ver='2.51'");
$query_update2 = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='2.51' WHERE inf_folder='referer_panel'");

if($query_update && $query_update2) {
redirect(FUSION_SELF.$aidlink."&updone=2.51");
} else {
redirect(FUSION_SELF.$aidlink."&updone=0");
} 
} elseif(isset($_GET['update']) && $_GET['update'] == "2.52") {

$query_update = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_ver='2.52'");
$query_update2 = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='2.52' WHERE inf_folder='referer_panel'");

if($query_update && $query_update2) {
redirect(FUSION_SELF.$aidlink."&updone=2.52");
} else {
redirect(FUSION_SELF.$aidlink."&updone=0");
} 
}
//////////////////////////////

if(isset($_POST['save'])) {
	$siteurl = stripinput($_POST['domain']).(strrchr($_POST['domain'],"/") != "/" ? "/" : "");
	$sql = dbquery("INSERT INTO ".DB_REF_DOMAINS." (ref_id , ref_domain) VALUES ('', '$siteurl')");
}

if(isset($_POST['del_all'])) 
{ $sql = dbquery("DELETE FROM ".DB_REF_REFERER); }

if(isset($_POST['type'])) {
	$ref_amount = isNum($_POST['ref_type']) ? $_POST['ref_type'] : "1";
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_type='".$_POST['ref_type']."'");
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_link='".$_POST['ref_link']."'");
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_max='".$_POST['ref_max']."'");
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_last='".$_POST['ref_last']."'");
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_top='".$_POST['ref_top']."'");
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_all='".$_POST['ref_all']."'");
	$sql = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_see='".$_POST['ref_see']."'");

	redirect(FUSION_SELF.$aidlink);
}

if(isset($_POST['del_ref'])) {
$del = dbquery("DELETE FROM ".DB_REF_DOMAINS." WHERE ref_id='".stripinput($_POST['referer'])."'");
}

if(isset($_POST['save_spam_words'])) {
	$save_spam_words = addslash($_POST['save_spam_words']);
	
	$result = dbquery("UPDATE ".DB_REF_SETTINGS." SET ref_spam_words = '".$save_spam_words."'");

	redirect(FUSION_SELF.$aidlink);
}

if(isset($_POST['del_def_sub']) && isset($_POST['del_def'])) {

$del_def = stripinput(strtolower(trim($_POST['del_def'])));
$del_def_num = 0;
$del_def_con = "";

if($del_def != "" && strlen($del_def) > 2) {

	$sql = dbquery("SELECT * FROM ".DB_REF_REFERER." WHERE ref_referer LIKE '%$del_def%'");

	while($data = dbarray($sql)) {

		if(eregi($del_def, strtolower($data['ref_referer']) ) ) {
			dbquery("DELETE FROM ".DB_REF_REFERER." WHERE ref_id='".$data['ref_id']."'");
			$del_def_num = $del_def_num + 1;
			$del_def_con .= $data['ref_referer']."<br>";
		}
	}
	$del_def_result = true;
} else {
$del_def_result_2 = true;
}
}


// Update successfull
if(isset($_GET['updone']) && str_replace(".","",$_GET['updone']) > 1) {
opentable($locale['REF_127']." Version ".referer_version);
echo sprintf($locale['REF_154'], $_GET['updone'])."<br /><a href='".FUSION_SELF.$aidlink."'>".$locale['REF_156']."</a>";
closetable();
}
// Update Error
elseif(isset($_GET['updone']) && $_GET['updone'] == "0") {
opentable($locale['REF_127']." Version ".referer_version);
echo sprintf($locale['REF_155'], $_GET['updone'])."<br /><a href='".FUSION_SELF.$aidlink."'>".$locale['REF_156']."</a>";
closetable();
}

//////////////////////////////

if($_db_ref_version == "") {
opentable($locale['REF_127']." Version ".referer_version);
echo "<b>".$locale['REF_152'].":</b><br /><a href='".FUSION_SELF.$aidlink."&update=2.2'>".sprintf($locale['REF_153'], "v2.2")."</a>";
closetable();
}
elseif($_db_ref_version == "2.2") {
opentable($locale['REF_127']." Version ".referer_version);
echo "<b>".$locale['REF_152'].":</b><br /><a href='".FUSION_SELF.$aidlink."&update=2.3'>".sprintf($locale['REF_153'], "v2.3")."</a>";
closetable();
}
elseif($_db_ref_version == "2.3") {
opentable($locale['REF_127']." Version ".referer_version);
echo "<b>".$locale['REF_152'].":</b><br /><a href='".FUSION_SELF.$aidlink."&update=2.4'>".sprintf($locale['REF_153'], "v2.4")."</a>";
closetable();
}
elseif($_db_ref_version == "2.4") {
opentable($locale['REF_127']." Version ".referer_version);
echo "<b>".$locale['REF_152'].":</b><br /><a href='".FUSION_SELF.$aidlink."&update=2.5'>".sprintf($locale['REF_153'], "v2.5")."</a>";
closetable();
}
elseif($_db_ref_version == "2.5") {
opentable($locale['REF_127']." Version ".referer_version);
echo "<b>".$locale['REF_152'].":</b><br /><a href='".FUSION_SELF.$aidlink."&update=2.51'>".sprintf($locale['REF_153'], "v2.51")."</a>";
closetable();
}
elseif($_db_ref_version == "2.51") {
opentable($locale['REF_127']." Version ".referer_version);
echo "<b>".$locale['REF_152'].":</b><br /><a href='".FUSION_SELF.$aidlink."&update=2.52'>".sprintf($locale['REF_153'], "v2.52")."</a>";
closetable();
} else {
 
//////////////////////////////

$ausgabe = '';
opentable($locale['REF_127']." Version ".referer_version);
    if(function_exists('fsockopen'))
    {
      $version_new = inf_referer_version();
      if($version_new == referer_version)
      {
	  $ausgabe .= "<table><tr><td><img src=\"images/version.gif\"></td>";
        $ausgabe .= "<td><span style=\"font-weight: bold; color: #1bdc16;\">".$locale['REF_303'].": ".referer_version."</span></td></tr></table>";
        $ausgabe .= "";
      } else {
        if (!empty($version_new)) 
        {
	$ausgabe .= "<table><tr><td><img src=\"images/version_old.gif\"></td><td>";
	$ausgabe .= "<span style=\"font-weight: bold; color: red;\">".$locale['REF_301'].": ".referer_version."</span><br />";
	$ausgabe .= "<span style=\"font-weight: bold; color: #1bdc16;\">".$locale['REF_302'].": ".$version_new."</span><br />";
	$ausgabe .= "<span style=\"font-weight: bold; \">".$locale['REF_305'].": </span><a href=\"http://basti2web.de\" target=\"_blank\" title=\"www.basti2web.de\"><span style=\"font-weight: bold; \">http://basti2web.de</span></a>";
	$ausgabe .= "</td></tr></table>";
       }
      }
    } 
	if (empty($version_new)) {
	$ausgabe .= "<br />".$locale['REF_307']."!<br />";
	$ausgabe .= $locale['REF_306']." <a href=\"http://basti2web.de\" target=\"_blank\" title=\"www.basti2web.de\"><span style=\"font-weight: bold; \">http://basti2web.de</span></a><br /><br />";
    }

echo "<div align='left' cellpadding='0' cellspacing='1' width='100%'>".$ausgabe."</div>";
closetable();

if(isset($del_def_num)) {
opentable($locale['REF_160']);

if(isset($del_def_result_2)) {
echo $locale['REF_161'].".<br>";
}elseif($del_def_num > 0) {
echo sprintf($locale['REF_162'], $del_def_num ).":<br><br>";
echo $del_def_con;
} else {
echo sprintf($locale['REF_163'], "<i>".$del_def."</i>" ).".<br>";
}
closetable();

}

opentable($locale['REF_122a']);

echo "<table width='95%' cellspacing='1' cellpadding='3' class='tbl-border'>";

$sql = dbquery("SELECT * FROM ".DB_REF_DOMAINS." ORDER BY ref_id ASC");
if(dbrows($sql)!=0)
{
  echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_121']."</td>
              <td class='tbl1'><select size='1' class='textbox' name='referer'>";

                while($data = dbarray($sql))
                {
                  echo "<option value='".$data['ref_id']."'>".$data['ref_domain']."</option>";
                }

        echo "</select></td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_123']."</td>
              <td class='tbl1'><input type='submit' value='".$locale['REF_124']."' name='del_ref' class='button'></td>
            </tr>
        </form>";
}

     echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>
             <tr>
               <td class='tbl2' width='150'>".$locale['REF_122b']."</td>
               <td class='tbl1'><input type='text' name='domain' size='40' maxlength='200' class='textbox'></td>
             </tr>
             <tr>
               <td class='tbl2' width='150'>".$locale['REF_123']."</td>
               <td class='tbl1'><input type='submit' value='".$locale['REF_120']."' name='save' class='button'></td>
             </tr>
           </table>
         </form>";
closetable();

opentable($locale['REF_134']);

  echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>
          <table width='95%' cellspacing='1' cellpadding='3' class='tbl-border'>
            <tr>	
		<td class='tbl2' width='150'>".$locale['REF_146']."</td>
		<td class='tbl1'><select size='1' class='textbox' name='ref_see'>
		<option value='0'"; if($access_level == 0) echo " selected='selected' "; echo ">".$locale['REF_147']."</option>
		<option value='101'"; if($access_level == 101) echo " selected='selected' "; echo">".$locale['REF_148']."</option>
		<option value='102'"; if($access_level == 102) echo " selected='selected' "; echo">".$locale['REF_149']."</option>
		<option value='103'"; if($access_level == 103) echo " selected='selected' "; echo">".$locale['REF_149b']."</option>
		</select></td>
		</tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_129']."</td>
              <td class='tbl1'>
<input type='radio' name='ref_type' value='1'".($type_referer == "1" ? " checked" : "").">".$locale['REF_130']." 
<input type='radio' name='ref_type' value='0'".($type_referer == "0" ? " checked" : "").">".$locale['REF_131']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_151']."</td>
              <td class='tbl1'>
 <input type='radio' name='ref_link' value='1'".($ref_link == "1" ? " checked" : "").">".$locale['REF_142']."
 <input type='radio' name='ref_link' value='0'".($ref_link == "0" ? " checked" : "").">".$locale['REF_143']."</td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_132a']."</td>
              <td class='tbl1'><input type='text' name='ref_last' value='".$last_referer."' size='40' maxlength='2' class='textbox'></td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_132b']."</td>
              <td class='tbl1'><input type='text' name='ref_max' value='".$max_referer."' size='40' maxlength='2' class='textbox'></td>
            </tr>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_133']." <a href='".INFUSIONS."referer_panel/referer.php' target='_blank'>referer.php</a></td>
              <td class='tbl1'><input type='text' name='ref_top' value='".$ref_num."' size='40' maxlength='4' class='textbox'></td>
            </tr>
            <tr>	
		<td class='tbl2' width='150'>".$locale['REF_144']." <a href='".INFUSIONS."referer_panel/all_referer.php' target='_blank'>all_referer.php</a></td>
		<td class='tbl1'><select size='1' class='textbox' name='ref_all'>
		<option value='1'"; if($show_all_ref == 1) echo " selected='selected' "; echo">".$locale['REF_142']."</option>
		<option value='0'"; if($show_all_ref == 0) echo " selected='selected' "; echo">".$locale['REF_143']."</option>
		</select></td>
		</tr>
		<tr>
		<td class='tbl2' width='150'>".$locale['REF_123']."</td>
		<td class='tbl1'><input type='submit' value='".$locale['REF_120']."' name='type' class='button'></td>
            </tr>
          </table>
        </form>";
closetable();

opentable($locale['REF_164']);
  echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>
        <table width='95%' cellspacing='1' cellpadding='3' class='tbl-border'>
		<tr>
		<td valign='top' width='200' class='tbl2'>".$locale['REF_165'].":<br>
		<span class='small2'>".$locale['REF_166']."<br>".$locale['REF_167']."</span></td>
		<td class='tbl1'><textarea name='save_spam_words' rows='7' class='textbox' style='width:250px;'>".$ref_spam_words."</textarea>
		</td>
		</tr>
		<tr>
		<td class='tbl2' width='200'>".$locale['REF_123']."</td>
		<td class='tbl1'><input type='submit' value='".$locale['REF_120']."' name='submit_spam_words' class='button'></td>
        </tr>
        </table>
        </form>";
closetable();

opentable($locale['REF_157']);
  echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>
          <table width='95%' cellspacing='1' cellpadding='3' class='tbl-border'>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_159']."</td>
              <td class='tbl1'><input type='text' name='del_def' size='40' class='textbox'></td>
            </tr>
		<tr>
		<td class='tbl2' width='150'>".$locale['REF_123']."</td>
		<td class='tbl1'><input type='submit' value='".$locale['REF_158']."' name='del_def_sub' class='button'></td>
            </tr>
          </table>
        </form>";
closetable();

opentable($locale['REF_128']);
echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>
          <table width='95%' cellspacing='1' cellpadding='3' class='tbl-border'>
            <tr>
              <td class='tbl2' width='150'>".$locale['REF_123']."</td>
              <td class='tbl1'><input type='submit' value='".$locale['REF_128']."' name='del_all' class='button' onclick='return RemoveAllReferers();'></td>
            </tr>
          </table>
        </form>";
echo "<script language='JavaScript'> function RemoveAllReferers() { return confirm('".$locale['REF_150']."'); } </script>";
closetable();

opentable("Author");
echo "v2.0 - v".referer_version." by Sebastian Sch&uuml;ssler (slaughter)<br /><a href=\"http://basti2web.de\" target=\"_blank\">http://basti2web.de</a>";
closetable();

} // Database Update Check

require_once THEMES."templates/footer.php";
?>
