<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Referer Panel
| Version: 2.51
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

require INFUSIONS."referer_panel/settings.php";
require_once INFUSIONS."referer_panel/functions.php";

if (file_exists(INFUSIONS."referer_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."referer_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."referer_panel/locale/English.php";
}

	$ref_found = 0;
	$referer = inf_referer_cleanurl(getenv('HTTP_REFERER'));
        if (($referer != '') && (substr($referer,0,4) == 'http'))  {
		$ref = dbquery("SELECT * FROM ".DB_REF_DOMAINS);
		$result = dbrows($ref);
		if ($result != 0) {
			while($data = dbarray($ref)) {
				if (substr($referer,0,strpos($referer,'/',7)+1) == $data['ref_domain']) {
					$ref_found = 1;
				}
			}
		}
		// Spam Filter
		if(inf_referer_spam($referer) == true) $ref_found = 1;
		
		if($ref_found != 1) {
		        $sql = dbquery("SELECT * FROM ".DB_REF_REFERER." WHERE ref_referer = '$referer' AND ref_time > ".(time()-600)." ORDER BY ref_time DESC");
			if(dbrows($sql) == 0) {
				$sql = dbquery("INSERT INTO ".DB_REF_REFERER." SET ref_referer = '$referer', ref_time = ".time()."");
			}
		}
	}
if (iUSER >= $access_level)
{
openside($locale['REF_110']);

	$sql = dbquery(
	"SELECT SUBSTRING_INDEX(TRIM('http://' from ref_referer),'/',1) as ref, ref_referer
	FROM ".DB_REF_REFERER." WHERE ref_referer <> '' ORDER BY ref_time DESC LIMIT ".$last_referer."");
	$result =  dbrows($sql);
	if ($result != 0) {
		echo $locale['REF_111']."<br />";
		while($data = dbarray($sql)) {
			echo "<img src='".THEME."images/bullet.gif' alt='' /> <a href='".$data['ref_referer']."' title='".$data['ref_referer']."' target='_blank'>".trimlink($data['ref'],24)."</a>";
			echo "\n<br />\n";
		}
	} else {
		echo $locale['REF_113'];
	}
	echo "<br />";

          $amount = dbcount("(ref_referer)", DB_REF_REFERER, "ref_referer <> ''");
	  $sql = dbquery(
	  "SELECT SUBSTRING_INDEX(TRIM('http://' FROM ref_referer),'/',1) as ref, 
	  COUNT(SUBSTRING_INDEX(TRIM('http://' FROM ref_referer),'/',1)) as hits
	  FROM ".DB_REF_REFERER." WHERE ref_referer <> '' GROUP BY ref ORDER BY hits DESC LIMIT ".$max_referer."");
	  $result =  dbrows($sql);
	  if ($result != 0) {
		  echo $locale['REF_112']."<br />";
		  while($data = dbarray($sql)) {
                       $ref_amount = round(100 / $amount * $data['hits']);
		       echo "<img src='".THEME."images/bullet.gif' alt='' /> ";
                       if ($type_referer == 1) {
                          echo $data['hits']."x ";
                       } else {
                          echo $ref_amount."% ";
                       }
				if($ref_link) {
				echo "<a href='http://".$data['ref']."' title='".$data['ref']."' target='_blank'>".trimlink($data['ref'],17)."</a>\n<br />";
				} else {
				echo trimlink($data['ref'],17)."\n<br />";
				}
		  }
	  echo "<br />";
	  echo "<b>".$locale['REF_114']."</b><br />";
	  echo "<img src='".THEME."images/bullet.gif' alt='' /> <a href='".INFUSIONS."referer_panel/referer.php'>".$locale['REF_115']."</a>";
	  }
closeside();
}
?>